## org.gnu.gtk.event
Class TreeViewColumnEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.TreeViewColumnEvent

All Implemented Interfaces:
  java.io.Serializable

public class TreeViewColumnEvent
extends GtkEvent

An event generated when a column header in a `TreeView` widget has been clicked.

See Also:
  Serialized Form

Nested Class Summary
`static class` `TreeViewColumnEvent.Type`

Constructor Summary
`TreeViewColumnEvent(java.lang.Object source)` Creates a new selection Event.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeViewColumnEvent

    public TreeViewColumnEvent(java.lang.Object source)

  Creates a new selection Event. This is used internally by java-gnome. Users only have to deal with listeners.